Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../_virtual/_rolldown/runtime.cjs");
const require_safe_custom_element = require("../../shared/safe-custom-element.cjs");
const require_index = require("../../shared/tailwind-element/index.cjs");
const require_decorate = require("../../_virtual/_@oxc-project_runtime@0.127.0/helpers/decorate.cjs");
let lit = require("lit");
let lit_decorators_js = require("lit/decorators.js");
//#region src/components/lukso-footer/index.ts
var LuksoFooter = class LuksoFooter extends require_index.TailwindElement {
	constructor(..._args) {
		super(..._args);
		this.providers = "";
		this.defaultProviders = [
			"twitter",
			"instagram",
			"linkedin",
			"telegram",
			"discord",
			"reddit",
			"medium",
			"github"
		];
	}
	render() {
		let providers = this.defaultProviders;
		try {
			providers = JSON.parse(this.providers);
		} catch (error) {
			console.warn("Invalid providers format, using default providers.", error);
		}
		return lit.html`
      <footer class="bg-neutral-100">
        <div
          class="p-10 grid gap-8 items-center lg:grid-cols-[auto_max-content]"
        >
          <slot name="links"></slot>
          <div class="flex gap-5 flex-col sm:flex-row sm:justify-between">
            <lukso-share providers=${JSON.stringify(providers)}></lukso-share>
            <div class="flex sm:ml-8 sm:justify-end">
              <a
                href="https://lukso.network/"
                target="_blank"
                class="flex flex-col opacity-50 text-neutral-30 transition-opacity hover:opacity-80"
              >
                <span
                  class="text-6 not-italic font-600 leading-[7.26px] font-inter"
                  >Powered by</span
                >
                <img
                  src="/assets/images/lukso-logo.svg"
                  alt="LUKSO"
                  class="h-4 mt-[1px]"
                />
              </a>
            </div>
          </div>
        </div>
      </footer>
    `;
	}
};
require_decorate.__decorate([(0, lit_decorators_js.property)({ type: String })], LuksoFooter.prototype, "providers", void 0);
LuksoFooter = require_decorate.__decorate([require_safe_custom_element.safeCustomElement("lukso-footer")], LuksoFooter);
//#endregion
Object.defineProperty(exports, "LuksoFooter", {
	enumerable: true,
	get: function() {
		return LuksoFooter;
	}
});
